package com.mortals.xhx.module.skin.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.skin.model.vo.SkinCategoryVo;
/**
* 系统皮肤分类实体对象
*
* @author zxfei
* @date 2022-05-16
*/

public class SkinCategoryEntity extends SkinCategoryVo {
    private static final long serialVersionUID = 1L;

    /**
    * 分类名称
    */
    private String name;



    public SkinCategoryEntity(){}
    /**
    * 获取 分类名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 分类名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SkinCategoryEntity) {
            SkinCategoryEntity tmp = (SkinCategoryEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",name:").append(getName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.name = "";
    }
}